textures/ut4_raid2_alpha/darksky
{
// Combo shader, borrowed from ut4_cemetery666, and superman2.
// So why the cemetery sky shader? Cause Horse-A-F worked around the
// unimplemented shader features found in the Shader Manual, Appendix A.
// UrT forked Q3 before this was in the codebase. I previously made a lightning
// shader that uses this App.A technique. Guess what? Doesn't work.
// Frozen Sand - looking at you!

	nopicmip
	nomipmaps

	qer_editorimage env/ut4_raid2_alpha/darksky_up.tga

	q3map_sunExt .93 .93 1 1500 40 82 1 16
	q3map_skylight 400 5
	q3map_lightmapFilterRadius 0 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	skyparms env/ut4_raid2_alpha/darksky 2048 -

	{
		map env/ut4_raid2_alpha/darksky_up.tga
		tcMod scale 1 1
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}

	{
		animMap .9 env/ut4_raid2_alpha/lightning3.tga env/ut4_raid2_alpha/black.tga env/ut4_raid2_alpha/black.tga env/ut4_raid2_alpha/lightning4.tga env/ut4_raid2_alpha/lightning5.tga env/ut4_raid2_alpha/black.tga  env/ut4_raid2_alpha/lightning6.tga
		blendFunc add
		rgbGen identity
		rgbGen wave Sin 0 1 0 1.1
	}
}


textures/ut4_raid2_alpha/cloudlevel_darksky
{

//	sort 16
	fogparms ( 0 0 0 ) 2048

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact

	qer_editorimage env/ut4_raid2_alpha/sky_clouds2.tga
	qer_trans 0.8
	
}


textures/ut4_raid2_alpha/cloudlevel_darksky2
{

	cull none
	sort 16

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks

	qer_editorimage env/ut4_raid2_alpha/sky_clouds2.tga
	qer_trans 0.5

	{
		map env/ut4_raid2_alpha/sky_clouds2.tga
		blendfunc filter
	}

}


textures/ut4_raid2_alpha/raid_rain1
{
	q3map_cloneshader textures/ut4_raid2_alpha/raid_rain1_invert

	sort 15

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans


	qer_editorimage textures/ut4_raid2_alpha/light_water2.tga
	qer_trans 1
	{
		map textures/ut4_raid2_alpha/light_water2.tga
		alphafunc lt128
		blendfunc blend
		tcMod scale 4 .2
		tcMod scroll 1.5 -1.2
	}

}

textures/ut4_raid2_alpha/raid_rain1_invert
{
	q3map_invert

	sort 15

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ut4_raid2_alpha/light_water2.tga
		alphafunc lt128
		blendfunc blend
		tcMod scale 5 0.3
		tcMod scroll 2 -1.1
	}

}


textures/ut4_raid2_alpha/raid_rain2
{
	sort 15
	cull disable

	deformVertexes bulge 3 3 2

	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	qer_editorimage textures/ut4_raid2_alpha/light_water2.tga

	{
		map textures/ut4_raid2_alpha/light_water2.tga
		alphafunc lt128
		blendfunc blend
		tcMod scale 1.5 0.5
		tcMod scroll .2 -1.2
	}
	{
		map textures/ut4_raid2_alpha/light_water3.tga
		alphafunc ge128
		blendfunc blend
		tcMod scale 1.5 0.5
		tcMod scroll .2 -1.4
	}

}



textures/ut4_raid2_alpha/raid_rain3
{
	sort 13
	polygonoffset
	cull disable

	deformVertexes bulge 4 4 4

	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans

	qer_editorimage textures/ut4_raid2_alpha/light_water2.tga
//	qer_trans .4

	{
		map textures/ut4_raid2_alpha/light_water2.tga
		alphafunc ge128
		blendfunc blend
		tcMod scale 1.5 0.3
		tcMod scroll .2 -1.2
	}
	{
		map textures/ut4_raid2_alpha/light_water3.tga
		alphafunc ge128
		blendfunc blend
		tcMod scale .5 .2
		tcMod scroll .2 -1.4
	}

}





textures/ut4_raid2_alpha/raid_drops_water
{
	q3map_globaltexture
	q3map_cloneshader textures/ut4_raid2_alpha/raid_drops_water_invert

	sort 13

	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap

	qer_editorimage textures/ut4_raid2_alpha/raid_drops/phase1.tga
	qer_trans 0.40

	{
		animmap 15 textures/ut4_raid2_alpha/raid_drops/phase1.tga textures/ut4_raid2_alpha/raid_drops/phase2.tga textures/ut4_raid2_alpha/raid_drops/phase3.tga textures/ut4_raid2_alpha/raid_drops/phase3.tga textures/ut4_raid2_alpha/raid_drops/phase4.tga textures/ut4_raid2_alpha/raid_drops/phase5.tga textures/ut4_raid2_alpha/raid_drops/phase6.tga textures/ut4_raid2_alpha/raid_drops/phase6.tga 
		blendfunc blend
		tcmod scale 2 2
		tcMod scroll 0.01 -0.04
	}
	{
		animmap 13 textures/ut4_raid2_alpha/raid_drops/phase1.tga textures/ut4_raid2_alpha/raid_drops/phase2.tga textures/ut4_raid2_alpha/raid_drops/phase3.tga textures/ut4_raid2_alpha/raid_drops/phase4.tga textures/ut4_raid2_alpha/raid_drops/phase5.tga textures/ut4_raid2_alpha/raid_drops/phase6.tga 
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
		tcmod scale 2.5 2.5
		tcMod scroll -0.04 0.01
	}

}


//  ^^^^ INVERT vvvv  \\

textures/ut4_raid2_alpha/raid_drops_water_invert
{
	q3map_globaltexture
	q3map_invert

	polygonoffset
	sort 16

	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap

	qer_editorimage textures/ut4_raid2_alpha/raid_drops/phase1.tga
	qer_trans 0.40

	{
		animmap 15 textures/ut4_raid2_alpha/raid_drops/phase1.tga textures/ut4_raid2_alpha/raid_drops/phase2.tga textures/ut4_raid2_alpha/raid_drops/phase3.tga textures/ut4_raid2_alpha/raid_drops/phase3.tga textures/ut4_raid2_alpha/raid_drops/phase4.tga textures/ut4_raid2_alpha/raid_drops/phase5.tga textures/ut4_raid2_alpha/raid_drops/phase6.tga textures/ut4_raid2_alpha/raid_drops/phase6.tga 
		blendfunc filter
		tcmod scale 4 4
		tcMod scroll 0.01 -0.04
	}
	{
		animmap 13 textures/ut4_raid2_alpha/raid_drops/phase1.tga textures/ut4_raid2_alpha/raid_drops/phase2.tga textures/ut4_raid2_alpha/raid_drops/phase3.tga textures/ut4_raid2_alpha/raid_drops/phase4.tga textures/ut4_raid2_alpha/raid_drops/phase5.tga textures/ut4_raid2_alpha/raid_drops/phase6.tga 
		blendfunc filter
		tcmod scale 2.5 2.5
		tcMod scroll -0.04 0.01
	}

}


// covers terrain, added func_bobbing with 2x scale terrain
textures/ut4_raid2_alpha/raid_drops_water2
{
	q3map_globaltexture
	q3map_globalnonplanar

	polygonoffset

	sort 15
	cull none
	tessSize 1024

	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
//	surfaceparm water
	surfaceparm nolightmap

	qer_editorimage textures/ut4_raid2_alpha/raid_drops/phase1.tga
	qer_trans 0.2

	{
		animmap 12 textures/ut4_raid2_alpha/raid_drops2/phase1.tga textures/ut4_raid2_alpha/raid_drops2/phase2.tga textures/ut4_raid2_alpha/raid_drops2/phase3.tga textures/ut4_raid2_alpha/raid_drops2/phase4.tga textures/ut4_raid2_alpha/raid_drops2/phase5.tga textures/ut4_raid2_alpha/raid_drops2/phase6.tga
		blendfunc gl_dst_color gl_src_alpha
		tcGen vector ( .03 0 0 ) ( 0 .01 0 )
		tcmod rotate -.1
		tcMod scroll .05 -.10
	}

}



// my water... it's beautiful again! most difficult shader ever??
textures/ut4_raid2_alpha/dark_water
{
	q3map_cloneshader textures/ut4_raid2_alpha/dark_water_reglow
	q3map_globaltexture
//	q3map_fancywater 10 0.85 0.8 0.75 // BAH!!! I FART IN YOUR GENERAL DIRECTION ;)
// Really though, this .shader in whole has taken a great amount of effort to build.

	sort 14

	surfaceparm water
	surfaceparm nomarks

	qer_editorimage textures/ut4_raid2_alpha/dark_water1.tga
	qer_nocarve
	qer_trans 0.6

// will not work for some reason...
//	deformvertexes wave 256 sin 4 8 0 .2
//	tesssize 256

	{
		map textures/ut4_raid2_alpha/dark_water_clouds.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .2 .2
		tcMod scroll -0.02 -0.01
	}
	{
		map textures/ut4_raid2_alpha/dark_water1.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .3 .3
		tcMod scroll 0.03 0.03
	}
        {
		map textures/ut4_raid2_alpha/dark_water_clouds.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scale 0.25 0.25
		tcMod scroll 0.02 0.01
        }
}



textures/ut4_raid2_alpha/dark_water_reglow
{
	q3map_globaltexture
	q3map_invert
	q3map_lightimage textures/ut4_raid2_alpha/dark_water_clouds.tga
	q3map_surfacelight 75

	sort 16

	qer_editorimage textures/ut4_raid2_alpha/editor/shader_effect.tga

	{
		map textures/ut4_raid2_alpha/dark_water_clouds.tga
///		blendfunc filter
		blendfunc gl_dst_color gl_src_color
		tcmod scale .2 .2
		tcMod scroll -0.02 -0.01
	}
	{
		map textures/ut4_raid2_alpha/dark_water1.tga
		blendfunc gl_dst_color gl_one
		tcmod scale .3 .3
		tcMod scroll 0.03 0.03
	}
        {
		map textures/ut4_raid2_alpha/dark_water_clouds.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scale 0.25 0.25
		tcMod scroll 0.02 0.01
        }

}


textures/ut4_raid2_alpha/lightning1_off
{
	qer_editorimage textures/ut4_raid2_alpha/lightning1.tga
	qer_nocarve

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
//	surfaceparm nodraw
	cull none

	{
		map textures/ut4_raid2_alpha/lightning2.tga
		blendfunc blend
//		blendfunc gl_one_minus_dst_color gl_one
//		tcmod scale 1 2
	}

}

textures/ut4_raid2_alpha/lightning1_on
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none

	{
		map textures/ut4_raid2_alpha/lightning4.tga
		blendfunc blend
//		blendfunc gl_one_minus_dst_color gl_one
	}
}



textures/ut4_raid2_alpha/lightning3
{
	sort 15

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
//	cull none

	{
		map textures/ut4_raid2_alpha/lightning3.tga
		blendfunc add
		rgbgen identity
	}
}




//textures/ut4_raid2_alpha/raid_concrete_road2
//{
//
//}

textures/ut4_raid2_alpha/raid_concrete_road
{
//	surfaceparm slick

	qer_editorimage textures/ut4_raid2_alpha/concrete2.tga

	{
		map textures/ut4_raid2_alpha/concrete2.tga
		tcGen vector ( .01 0 0 ) ( 0 .01 0 )
		rgbGen identity
	}
	{
		map textures/ut4_raid2_alpha/concrete1.tga
		tcGen vector ( .02 0 0 ) ( 0 .02 0 )
		blendfunc gl_dst_color gl_one_minus_dst_alpha
	}
	{
		animmap 22 textures/ut4_raid2_alpha/raid_drops2/phase1.tga textures/ut4_raid2_alpha/raid_drops2/phase2.tga textures/ut4_raid2_alpha/raid_drops2/phase3.tga textures/ut4_raid2_alpha/raid_drops2/phase4.tga textures/ut4_raid2_alpha/raid_drops2/phase5.tga textures/ut4_raid2_alpha/raid_drops2/phase6.tga
		alphafunc ge128
		blendfunc blend
		tcGen vector ( .04 0 0 ) ( 0 .02 0 )
		tcMod scroll -.08 -.08
	}
	{
		map textures/ut4_raid2_alpha/light_water1.tga
		tcGen vector ( .0055 0 0 ) ( 0 .0055 0 )
		alphafunc ge128
//		blendfunc gl_dst_color gl_src_color
		blendfunc gl_dst_color gl_src_alpha
		tcmod scroll .43 .21
	}
	{
		map textures/ut4_raid2_alpha/light_water1.tga
		tcGen vector ( .005 0 0 ) ( 0 .005 0 )
		blendfunc gl_dst_color gl_src_alpha
		tcmod scroll .33 .41
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_raid2_alpha/raid_concrete_road_nowater
{
	qer_editorimage textures/ut4_raid2_alpha/concrete2.tga

	{
		map textures/ut4_raid2_alpha/concrete2.tga
		tcGen vector ( .01 0 0 ) ( 0 .01 0 )
		rgbGen identity
	}
	{
		map textures/ut4_raid2_alpha/concrete1.tga
		tcGen vector ( .02 0 0 ) ( 0 .02 0 )
		blendfunc gl_dst_color gl_one_minus_dst_alpha
	}
	{
		map $lightmap
		blendfunc filter
	}
}



textures/ut4_raid2_alpha/raid_terrain
{
	surfaceparm nodamage

	qer_editorimage textures/ut4_raid2_alpha/ground1.tga

	{
		map textures/ut4_raid2_alpha/ground1.tga
		tcGen vector ( .004 0 0 ) ( 0 .004 0 )
	}
	{
		animmap 18 textures/ut4_raid2_alpha/raid_drops2/phase1.tga textures/ut4_raid2_alpha/raid_drops2/phase2.tga textures/ut4_raid2_alpha/raid_drops2/phase3.tga textures/ut4_raid2_alpha/raid_drops2/phase4.tga textures/ut4_raid2_alpha/raid_drops2/phase5.tga textures/ut4_raid2_alpha/raid_drops2/phase6.tga
		alphafunc lt128
		blendfunc gl_dst_color gl_src_alpha
		tcGen vector ( .03 0 0 ) ( 0 .015 0 )
	}
	{
		map textures/ut4_raid2_alpha/ground1.tga
		tcGen vector ( .008 0 0 ) ( 0 .008 0 )
		blendfunc filter
	}
	{
		animmap 17 textures/ut4_raid2_alpha/raid_drops2/phase1.tga textures/ut4_raid2_alpha/raid_drops2/phase2.tga textures/ut4_raid2_alpha/raid_drops2/phase3.tga textures/ut4_raid2_alpha/raid_drops2/phase4.tga textures/ut4_raid2_alpha/raid_drops2/phase5.tga textures/ut4_raid2_alpha/raid_drops2/phase6.tga
		alphafunc lt128
		blendfunc gl_dst_color gl_src_alpha
		tcGen vector ( .02 0 0 ) ( 0 .01 0 )
		tcMod scroll .04 .04
	}
	{
		map $lightmap
		blendfunc filter
	}

}



textures/ut4_raid2_alpha/raid_terrain_plain
{
	surfaceparm nodamage

	qer_editorimage textures/ut4_raid2_alpha/ground1.tga

	{
		map textures/ut4_raid2_alpha/ground1.tga
		tcGen vector ( .004 0 0 ) ( 0 .004 0.1 )
	}
	{
		map $lightmap
		blendfunc filter
	}
}



textures/ut4_raid2_alpha/raid_terrain_climbable
{

	q3map_cloneshader textures/ut4_raid2_alpha/raid_terrain

        surfaceparm ladder

        qer_editorimage textures/ut4_raid2_alpha/editor/ground1_climbable.tga

}




textures/ut4_raid2_alpha/metal1
{
	qer_editorimage textures/ut4_raid2_alpha/metal1.tga
	{
		map textures/ut4_raid2_alpha/metal1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_raid2_alpha/metal2
{
	qer_editorimage textures/ut4_raid2_alpha/metal2.tga
	{
		map textures/ut4_raid2_alpha/metal2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_raid2_alpha/metal3
{
	qer_editorimage textures/ut4_raid2_alpha/metal3.tga
	{
		map textures/ut4_raid2_alpha/metal3.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_raid2_alpha/clones_sign
{
	polygonoffset

	qer_editorimage textures/ut4_raid2_alpha/clones.tga
	{
		map textures/ut4_raid2_alpha/clones.tga
		blendfunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_raid2_alpha/villains_sign
{
	polygonoffset

	qer_editorimage textures/ut4_raid2_alpha/villains.tga
	{
		map textures/ut4_raid2_alpha/villains.tga
		blendfunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}




textures/ut4_raid2_alpha/ladder
{
        qer_editorimage textures/ut4_raid2_alpha/ladder.tga

	cull none
        nopicmip

    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm ladder

	{
		map textures/ut4_raid2_alpha/ladder.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


textures/ut4_raid2_alpha/ladder_grate
{
        qer_editorimage textures/ut4_raid2_alpha/ladder.tga

	cull none
        nopicmip

    	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/ut4_raid2_alpha/ladder.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}



textures/ut4_raid2_alpha/fencediag
{
        qer_editorimage textures/ut4_raid2_alpha/fencediag.tga

	sort 15

	cull none
        nopicmip

    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm ladder

	{
		map textures/ut4_raid2_alpha/fencediag.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


textures/ut4_raid2_alpha/boost
{

	q3map_cloneshader textures/ut4_raid2_alpha/boost_reverse
	q3map_lightimage textures/ut4_raid2_alpha/boost_ex.tga
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans

	qer_editorimage textures/ut4_raid2_alpha/boost.tga

	{
		map textures/ut4_raid2_alpha/boost.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color

		tcMod scroll 0.1 10
		tcgen environment
	}
	{
		map textures/ut4_raid2_alpha/boost.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 0.9 12
		tcgen environment
	}
}


textures/ut4_raid2_alpha/boost2
{

	q3map_cloneshader textures/ut4_raid2_alpha/boost_reverse
	q3map_lightimage textures/ut4_raid2_alpha/boost_ex.tga
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	qer_editorimage textures/ut4_raid2_alpha/boost.tga

	{
		map textures/ut4_raid2_alpha/boost.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color

		tcMod scroll 0.1 10
		tcgen environment
	}
	{
		map textures/ut4_raid2_alpha/boost.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 0.9 12
		tcgen environment
	}
}


textures/ut4_raid2_alpha/boost_reverse
{

	q3map_lightimage textures/ut4_raid2_alpha/boost.tga
	q3map_surfacelight 300
	q3map_invert

	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	qer_editorimage textures/ut4_raid2_alpha/boost.tga
	qer_trans .5

	{
		map textures/ut4_raid2_alpha/boost.tga
		blendfunc add
//		blendfunc gl_one_minus_dst_color gl_one
		tcMod scroll 0.1 10
		tcgen environment
	}
	{
		map textures/ut4_raid2_alpha/boost.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 0.9 12
		tcgen environment
	}
}



textures/ut4_raid2_alpha/boost_ex
{
	q3map_lightimage textures/ut4_raid2_alpha/boost_ex.tga
	q3map_surfacelight 300

	cull none
	deformVertexes bulge 32 32 .5

	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	qer_editorimage textures/ut4_raid2_alpha/boost_ex.tga
	qer_trans .5

	{
		map textures/ut4_raid2_alpha/boost_ex.tga
		blendfunc add
		tcMod scroll 2 0.1
		tcgen environment
	}
	{
		map textures/ut4_raid2_alpha/boost_ex.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 2 -0.15
		tcgen environment
	}
}



textures/ut4_raid2_alpha/boost_ex2
{

	deformVertexes bulge 48 48 1
	cull none

	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans

	qer_editorimage textures/ut4_raid2_alpha/boost_ex.tga
	qer_trans .5

	{
		map textures/ut4_raid2_alpha/boost_ex.tga
		blendfunc add
//		blendfunc gl_one gl_one_minus_dst_color
		tcMod scroll 0.15 11
		tcgen environment
	}
	{
		map textures/ut4_raid2_alpha/boost_ex.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll -0.1 8
		tcgen environment
	}
}




/////////////////////////////////////////
//// qer editor and behavioral stuff ////
/////////////////////////////////////////

textures/ut4_raid2_alpha/watercaulk
{
qer_trans 0.40
qer_editorimage textures/ut4_raid2_alpha/editor/watercaulk.tga
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
qer_nocarve

}


textures/ut4_raid2_alpha/ladderclip
{
	qer_editorimage textures/ut4_raid2_alpha/editor/ladderclip.jpg
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}


// Used to line up surface brushes to crazy patches, or whatever. Doesn't exist in-game.
textures/ut4_raid2_alpha/surface_marker
{
	qer_editorimage textures/ut4_raid2_alpha/editor/surface_marker.tga
        qer_trans 0.9
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm noimpact
	surfaceparm trans
}


textures/ut4_raid2_alpha/surface_marker_invisible
{
	qer_editorimage textures/ut4_raid2_alpha/editor/surface_marker.tga
        qer_trans 0
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm noimpact
	surfaceparm trans
}


textures/shadertest/fadetex
{

	qer_editorimage textures/ut4_superman_b4/building1_tex
//	portal

	{
		map textures/ut4_superman_b4/streetlight_red
	}
	{
		map textures/ut4_superman_b4/fence
		blendFunc gl_one_minus_src_alpha gl_src_alpha
		alphagen portal 512
		rgbGen identityLighting	
	}

	{
		map $lightmap
		blendfunc filter
	}
}



//// Shader template for SBM (static bump map) enhanced lighting.  :D
//// Make sure the alpha channel is good heightmap representation of the rgb channels
//// This technique will not translate into 27's current -radbump technique, because
//// -radbump can only have 2 passes in the shader, whereas this shader has 3.

textures/raid/template_sbm_shader
{
	qer_editorimage textures/sbm_test/sbm_tex.tga
	{
		map textures/sbm_test/sbm_tex.tga
		rgbGen identity
	}
	{
		map textures/sbm_test/sbm_tex.tga
		blendfunc gl_dst_color gl_one_minus_dst_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

